ros-rolling-ros-gz-sim-demos (1.0.0-1noble) noble; urgency=high

  * Use gz_vendor packages (#531 <https://github.com/gazebosim/ros_gz/issues/531>)
  * Remove deprecations using ros_gz_sim_create (#476 <https://github.com/gazebosim/ros_gz/issues/476>)
  * Contributors: Addisu Z. Taddese, Alejandro Hernández Cordero

 -- Aditya Pande <adityapande@intrinsic.ai>  Wed, 24 Apr 2024 05:00:00 -0000

ros-rolling-ros-gz-sim-demos (0.246.0-1noble) noble; urgency=high

  * Added more topic to the bridge (#422 <https://github.com/gazebosim/ros_gz/issues/422>)
  * Fix incorrect subscription on demo (#405 <https://github.com/gazebosim/ros_gz/issues/405>) (#408 <https://github.com/gazebosim/ros_gz/issues/408>)
    Co-authored-by: Arjo Chakravarty <mailto:arjoc@intrinsic.ai>
  * Port: humble to ros2 (#386 <https://github.com/gazebosim/ros_gz/issues/386>)
  * Merge branch 'humble' into mjcarroll/humble_to_ros2
  * Update maintainers (#376 <https://github.com/gazebosim/ros_gz/issues/376>)
  * Rename 'ign gazebo' to 'gz sim' (#343 <https://github.com/gazebosim/ros_gz/issues/343>)
  * Create bridge for GPSFix msg (#316 <https://github.com/gazebosim/ros_gz/issues/316>)
  * Humble ➡️ ROS2 (#323 <https://github.com/gazebosim/ros_gz/issues/323>)
  * Fixed ros_gz_sim_demos launch files (#319 <https://github.com/gazebosim/ros_gz/issues/319>)
  * Contributors: Aditya Pande, Alejandro Hernández Cordero, Clyde McQueen, Michael Carroll, Rousseau Vincent, ahcorde

 -- Aditya Pande <adityapande@intrinsic.ai>  Thu, 31 Aug 2023 05:00:00 -0000

ros-rolling-ros-gz-sim-demos (0.245.0-1noble) noble; urgency=high

  * humble to ros2 (#311 <https://github.com/gazebosim/ros_gz/issues/311>)
    Co-authored-by: Michael Carroll <mailto:michael@openrobotics.org>
  * Merge remote-tracking branch 'origin/humble' into ahcorde/humble_to_ros2
  * Remove all ignition references on ROS 2 branch (#302 <https://github.com/gazebosim/ros_gz/issues/302>)
    * Remove all shims
    * Update CMakeLists and package.xml for garden
    * Complete garden gz renaming
    * Drop fortress CI
  * Contributors: Alejandro Hernández Cordero, Michael Carroll, ahcorde

 -- Aditya Pande <adityapande@intrinsic.ai>  Wed, 12 Oct 2022 05:00:00 -0000

ros-rolling-ros-gz-sim-demos (0.244.10-1noble) noble; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Wed, 03 May 2023 05:00:00 -0000

ros-rolling-ros-gz-sim-demos (0.244.9-1noble) noble; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Thu, 03 Nov 2022 05:00:00 -0000

ros-rolling-ros-gz-sim-demos (0.244.8-1noble) noble; urgency=high

  * Fixed ros_gz_sim_demos launch files (#319 <https://github.com/gazebosim/ros_gz/issues/319>) (#320 <https://github.com/gazebosim/ros_gz/issues/320>)
  * Contributors: Alejandro Hernández Cordero

 -- Aditya Pande <adityapande@intrinsic.ai>  Fri, 28 Oct 2022 05:00:00 -0000

ros-rolling-ros-gz-sim-demos (0.244.7-1noble) noble; urgency=high

  * Merge pull request #275 <https://github.com/gazebosim/ros_gz/issues/275> (Galactic to Humble)
    Galactic to Humble
  * Merge branch 'ros2' into ports/galactic_to_ros2
  * Contributors: Michael Carroll

 -- Aditya Pande <adityapande@intrinsic.ai>  Wed, 12 Oct 2022 05:00:00 -0000

ros-rolling-ros-gz-sim-demos (0.244.6-1noble) noble; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Wed, 14 Sep 2022 05:00:00 -0000

ros-rolling-ros-gz-sim-demos (0.244.5-1noble) noble; urgency=high

  * sdformat_urdf parser demo (#265 <https://github.com/gazebosim/ros_gz/issues/265>)
    * parser compatible model and launch framework
    * added ground plane, common gz plugins, demo commands and cleaned install paths
    * unique collision names and cleared flake
    * updating model config
    * building parser from source
    * fix flake and update deb dependency for garden
    * Move packages and files to gz
    * feedback and ign->gz
    * Support ros_ign migration
    Clean up shared libraries, and tick-tock RosGzPointCloud
    Tick-tock launch args
    Hard-tock ign_ in sources
    Migrate ign, ign_, IGN_ for sources, launch, and test files
    Migrate IGN_XXX_VER, IGN_T, header guards
    Migrate launchfile, launchfile args, and test source references
    Migrate ros_ign_XXX and gz_gazebo -> gz_sim
    Migrate ros_ign_XXX project names
    Migrate Ign, ign-, IGN_DEPS, ign-gazebo
    Migrate ignitionrobotics, ignitionrobotics/ros_ign, osrf/ros_ign
    Migrate ignition-version, IGNITION_VERSION, Ignition <LIB>, ros_ign_ci
    * renaming and flake
    * added ros commands
    * gz-version
    * feedback and ci trial
    * removing garden condition
    Co-authored-by: Michael Carroll <mailto:michael@openrobotics.org>
    Co-authored-by: methylDragon <mailto:methylDragon@gmail.com>
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Support ros_ign migration (#282 <https://github.com/gazebosim/ros_gz/issues/282>)
    Clean up shared libraries, and tick-tock RosGzPointCloud
    Tick-tock launch args
    Hard-tock ign_ in sources
    Migrate ign, ign_, IGN_ for sources, launch, and test files
    Migrate IGN_XXX_VER, IGN_T, header guards
    Migrate launchfile, launchfile args, and test source references
    Migrate ros_ign_XXX and gz_gazebo -> gz_sim
    Migrate ros_ign_XXX project names
    Migrate Ign, ign-, IGN_DEPS, ign-gazebo
    Migrate ignitionrobotics, ignitionrobotics/ros_ign, osrf/ros_ign
    Migrate ignition-version, IGNITION_VERSION, Ignition <LIB>, ros_ign_ci
  * Move packages and files to gz (#282 <https://github.com/gazebosim/ros_gz/issues/282>)
  * Contributors: Dharini Dutia, methylDragon

 -- Aditya Pande <adityapande@intrinsic.ai>  Mon, 12 Sep 2022 05:00:00 -0000

ros-rolling-ros-gz-sim-demos (0.244.3-1noble) noble; urgency=high

  * [ros2] README updates (service bridge, Gazebo rename) (#252 <https://github.com/gazebosim/ros_gz/issues/252>)
  * Fix linter tests (#251 <https://github.com/gazebosim/ros_gz/issues/251>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Joint state publisher and tf bridging demo (#244 <https://github.com/gazebosim/ros_gz/issues/244>)
    * Added joint state publisher and tf bridge demo
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: Aditya Pande, Daisuke Nishimatsu, Louise Poubel

 -- Aditya Pande <adityapande@intrinsic.ai>  Thu, 19 May 2022 05:00:00 -0000

ros-rolling-ros-gz-sim-demos (0.244.2-1noble) noble; urgency=high

  * Camera trigger demo (#223 <https://github.com/gazebosim/ros_gz/issues/223>)
  * Separate galactic branch from ros2 branch (#201 <https://github.com/gazebosim/ros_gz/issues/201>)
  * 🏁 Dome EOL (#198 <https://github.com/gazebosim/ros_gz/issues/198>)
  * Joint states tutorial (#156 <https://github.com/gazebosim/ros_gz/issues/156>)
    Adds an rrbot model to demos and shows the usage of joint_states plugin.
  * Contributors: Louise Poubel, Michael Carroll, Vatan Aksoy Tezer, William Lew

 -- Aditya Pande <adityapande@intrinsic.ai>  Mon, 25 Apr 2022 05:00:00 -0000

ros-rolling-ros-gz-sim-demos (0.244.1-1noble) noble; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Tue, 04 Jan 2022 06:00:00 -0000

ros-rolling-ros-gz-sim-demos (0.244.0-1noble) noble; urgency=high

  * Default to Fortress for Rolling (future Humble) (#195 <https://github.com/gazebosim/ros_gz/issues/195>)
  * [ros2] 🏁 Dome EOL (#199 <https://github.com/gazebosim/ros_gz/issues/199>)
  * Enable QoS overrides (#181 <https://github.com/gazebosim/ros_gz/issues/181>)
  * Contributors: Guillaume Doisy, Louise Poubel

 -- Aditya Pande <adityapande@intrinsic.ai>  Thu, 30 Dec 2021 06:00:00 -0000

ros-rolling-ros-gz-sim-demos (0.233.2-1noble) noble; urgency=high

  * [ros2] Add exec depend on xacro for demos (#170 <https://github.com/gazebosim/ros_gz/issues/170>)
  * [ros2] Update version docs, add Galactic and Fortress (#164 <https://github.com/gazebosim/ros_gz/issues/164>)
  * Joint states tutorial (#156 <https://github.com/gazebosim/ros_gz/issues/156>)
    Adds an rrbot model to demos and shows the usage of joint_states plugin.
  * Contributors: Louise Poubel, Vatan Aksoy Tezer

 -- Aditya Pande <adityapande@intrinsic.ai>  Tue, 20 Jul 2021 05:00:00 -0000

ros-rolling-ros-gz-sim-demos (0.233.1-1noble) noble; urgency=high

  * Default to Edifice for Rolling (#150 <https://github.com/gazebosim/ros_gz/issues/150>)
  * Minor updates for demos (#144 <https://github.com/gazebosim/ros_gz/issues/144>)
    * Re-enable air pressure demo
    - Resolves https://github.com/gazebosim/ros_gz/issues/78
    * Add RQt topic viewer to IMU demo
    * Add image_topic argument for image_bridge demo
    * Do not normalize depth image in RViz2
  * Edifice support (#140 <https://github.com/gazebosim/ros_gz/issues/140>)
  * Add topic flag to create robot  (#128 <https://github.com/gazebosim/ros_gz/issues/128>)
    Now it is possible to run ros_gz_sim create specifying a topic as
    source of the robot description
    Add a launch file starting a ignition gazebo world and spawn a sphere in it.
    Additionally a rviz2 interface is loaded to show that also Rviz can load
    the robot description
    The newly created demo introduce a dependency on the robot_state_publisher package
  * [ros2] Update releases (#108 <https://github.com/gazebosim/ros_gz/issues/108>)
  * Contributors: Andrej Orsula, Louise Poubel, Valerio Magnago

 -- Aditya Pande <adityapande@intrinsic.ai>  Fri, 16 Apr 2021 05:00:00 -0000

ros-rolling-ros-gz-sim-demos (0.221.1-1noble) noble; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Wed, 19 Aug 2020 05:00:00 -0000

ros-rolling-ros-gz-sim-demos (0.221.0-1noble) noble; urgency=high

  * Updated launch file to use ros_gz_sim (#82 <https://github.com/gazebosim/ros_gz/issues/82>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Use new ros_gz_sim package on ROS 2 demos (#85 <https://github.com/gazebosim/ros_gz/issues/85>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * [WIP] Port ign_ros_gazebo_demos to ROS2 (#58 <https://github.com/gazebosim/ros_gz/issues/58>)
    Port ros_gz_image to ROS2
    Port ros_gz_sim_demos to ROS2
  * Enable ROS2 CI for Dashing branch (#43 <https://github.com/gazebosim/ros_gz/issues/43>)
  * Make all API and comments ROS-version agnostic
  * Rename packages and fix compilation + tests
  * Move files ros1 -> ros
  * Contributors: Alejandro Hernández Cordero, Jose Luis Rivero, Louise Poubel, chapulina

 -- Aditya Pande <adityapande@intrinsic.ai>  Thu, 23 Jul 2020 05:00:00 -0000

ros-rolling-ros-gz-sim-demos (0.7.0-1noble) noble; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Thu, 15 Aug 2019 05:00:00 -0000

ros-rolling-ros-gz-sim-demos (0.6.3-1noble) noble; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Sun, 04 Aug 2019 05:00:00 -0000

ros-rolling-ros-gz-sim-demos (0.6.2-1noble) noble; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Sun, 04 Aug 2019 05:00:00 -0000

ros-rolling-ros-gz-sim-demos (0.6.1-1noble) noble; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Sun, 04 Aug 2019 05:00:00 -0000

ros-rolling-ros-gz-sim-demos (0.6.0-1noble) noble; urgency=high

  * Image bridge using image_transport (#34 <https://github.com/osrf/ros1_ign_bridge/issues/34>)
    * Image bridge using image_transport
    * tests for image
    * correct metapackage
    * tests with catkin
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
    * Revert changes from #32 <https://github.com/osrf/ros1_ign_bridge/issues/32>
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Revert "Pointcloud bridge demo for depth camera"
    This reverts commit 094cd40f21aed734d59c204172ad5afd7a26c8d6.
  * Pointcloud bridge demo for depth camera
  * Contributors: Louise Poubel, chapulina
  * 0.5.0
  * Battery state (#30 <https://github.com/osrf/ros1_ign_bridge/issues/30>)
  * Packed demo (#29 <https://github.com/osrf/ros1_ign_bridge/issues/29>)
    * adding demo for point cloud packed bridge
    * correct rviz file
    * RGBD bridged cloud demo
  * Merge pull request #28 <https://github.com/osrf/ros1_ign_bridge/issues/28> from osrf/pointcloudpacked
    Bridge point cloud packed
  * Contributors: Nate Koenig, chapulina
  * Battery state (#30 <https://github.com/osrf/ros1_ign_bridge/issues/30>)
  * Packed demo (#29 <https://github.com/osrf/ros1_ign_bridge/issues/29>)
    * adding demo for point cloud packed bridge
    * correct rviz file
    * RGBD bridged cloud demo
  * Merge pull request #28 <https://github.com/osrf/ros1_ign_bridge/issues/28> from osrf/pointcloudpacked
    Bridge point cloud packed
  * Contributors: Nate Koenig, chapulina

 -- Aditya Pande <adityapande@intrinsic.ai>  Fri, 02 Aug 2019 05:00:00 -0000

ros-rolling-ros-gz-sim-demos (0.4.0-1noble) noble; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Tue, 16 Jul 2019 05:00:00 -0000

ros-rolling-ros-gz-sim-demos (0.3.1-1noble) noble; urgency=high

  * Merge pull request #24 <https://github.com/osrf/ros1_ign_bridge/issues/24> from osrf/fix_dep
    ignition-gazebo2 needed at build time
  * ignition-gazebo2 needed at build time
  * Contributors: Jose Luis Rivero

 -- Aditya Pande <adityapande@intrinsic.ai>  Mon, 01 Jul 2019 05:00:00 -0000

ros-rolling-ros-gz-sim-demos (0.3.0-1noble) noble; urgency=high

  * 0.2.0
  * Merge pull request #21 <https://github.com/osrf/ros1_ign_bridge/issues/21> from osrf/lidar
    Point clouds from lidars
  * Conversion between nav_msgs/Odometry and ignition::msgs::Odometry (#22 <https://github.com/osrf/ros1_ign_bridge/issues/22>)
    * Conversion between nav_msgs/Odometry and ignition::msgs::Odometry.
    * Update documentation.
    * More time to run tests
    * Cleaning test_utils.
    * Remove explicit ROS dependencies for Travis.
    * diff drive demo with cmd_vel and odom
    * process child frame id
  * final tweaks
  * PC2 for gpu_lidar, 1 vertical sample
  * Start of lidar PC
  * Fluid pressure (#20 <https://github.com/osrf/ros1_ign_bridge/issues/20>)
    * screenshots
    * missing IMU
    * Fluid pressure
    * Fix tests.
  * Demos package (#19 <https://github.com/osrf/ros1_ign_bridge/issues/19>)
    * Start of demos package: camera
    * IMU
    * depth camera
    * magnetometer
    * lidar, base launch
    * READMEs, RGBD camera
    * screenshots
    * missing IMU
    * set plugin path env
    * It's best to always set it
  * Contributors: Carlos Agüero, Nate Koenig, chapulina

 -- Aditya Pande <adityapande@intrinsic.ai>  Fri, 28 Jun 2019 05:00:00 -0000

ros-rolling-ros-gz-sim-demos (0.2.2-1noble) noble; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Mon, 20 May 2019 05:00:00 -0000

ros-rolling-ros-gz-sim-demos (0.2.1-1noble) noble; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Sat, 11 May 2019 05:00:00 -0000

ros-rolling-ros-gz-sim-demos (0.2.0-1noble) noble; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Thu, 09 May 2019 05:00:00 -0000

ros-rolling-ros-gz-sim-demos (0.1.0-1noble) noble; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Wed, 20 Mar 2019 05:00:00 -0000


